|
|
1bf31c |
From ba1a065c528bd5774c61a3c286e9a7ed7cc467e8 Mon Sep 17 00:00:00 2001
|
|
|
1bf31c |
From: Martin Wilck <mwilck@suse.de>
|
|
|
1bf31c |
Date: Thu, 21 Mar 2019 14:40:33 +0100
|
|
|
1bf31c |
Subject: [PATCH] iscsi: fix error messages with iSCSI root
|
|
|
1bf31c |
|
|
|
1bf31c |
Fixes these error messages during intird build:
|
|
|
1bf31c |
|
|
|
1bf31c |
cat: '/sys/devices/platform/host2/flashnode_sess-*/is_boot_target': No such file or directory
|
|
|
1bf31c |
/usr/lib/dracut/modules.d/95iscsi/module-setup.sh: line 91: [: -eq: unary operator expected
|
|
|
1bf31c |
cat: '/sys/devices/platform/host3/flashnode_sess-*/is_boot_target': No such file or directory
|
|
|
1bf31c |
/usr/lib/dracut/modules.d/95iscsi/module-setup.sh: line 91: [: -eq: unary operator expected
|
|
|
1bf31c |
|
|
|
1bf31c |
(cherry picked from commit 78efd6988ec6b39ea80ba8e432d7df1abe1c081f)
|
|
|
1bf31c |
|
|
|
1bf31c |
Resolves: #1552619
|
|
|
1bf31c |
---
|
|
|
1bf31c |
modules.d/95iscsi/module-setup.sh | 1 +
|
|
|
1bf31c |
1 file changed, 1 insertion(+)
|
|
|
1bf31c |
|
|
|
1bf31c |
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
|
|
|
1bf31c |
index dc63ef46..618d1dc2 100755
|
|
|
1bf31c |
--- a/modules.d/95iscsi/module-setup.sh
|
|
|
1bf31c |
+++ b/modules.d/95iscsi/module-setup.sh
|
|
|
1bf31c |
@@ -86,6 +86,7 @@ install_iscsiroot() {
|
|
|
1bf31c |
iscsi_host=${host##*/}
|
|
|
1bf31c |
|
|
|
1bf31c |
for flash in ${host}/flashnode_sess-* ; do
|
|
|
1bf31c |
+ [ -f "$flash" ] || continue
|
|
|
1bf31c |
[ ! -e "$flash/is_boot_target" ] && continue
|
|
|
1bf31c |
is_boot=$(cat $flash/is_boot_target)
|
|
|
1bf31c |
if [ $is_boot -eq 1 ] ; then
|
|
|
1bf31c |
|